Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Class TaskPlanFactory

    java.lang.Object
      com.bea.wli.worklist.api.taskplan.TaskPlanFactory

    public class TaskPlanFactory

extends Object

Factory for obtaining instances of WorklistContext

Constructor Summary
`TaskPlanFactory()`

Method Summary
`static AssigneeDefinition` | `createAssignee(String name, AssigneeDefinition.Type type)` Create an instance of AssigneeDefinition for use in assign task
`static AssignmentInstructions` | `createAssignmentInstructions()`
`static BusinessDateTime` | `createBusinessDateTime()`
`static Interval` | `createInterval(String intervalSpec)` Create a new Interval instance for setting task or step time estimates.
`static TaskPlan` | `createNewTaskPlan(TaskPlanPath path)`
`static PropertyRef` | `createPropertyRef(String propertyName, String description, String defaultValue)` Create a new PropertyRef instance for setting action or constructor property references.
`static PropertyRef` | `createPropertyRef(SystemProperty system, String description, String defaultValue)` Create a new PropertyRef instance for setting action or constructor property references.
`static TaskOwnerDefinition` | `createTaskOwnerDefinition()`
`static TaskPlan` | `readTaskPlanFromFile(File hostAppRoot, File taskPlanFile)`
`static TaskPlan` | `readTaskPlanFromStream(TaskPlanPath path, InputStream stream)`
`static void` | `writeTaskPlanToFile(TaskPlan taskPlan, File taskPlanFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskPlanFactory

    public TaskPlanFactory()

Method Detail

### createNewTaskPlan

    public static TaskPlan createNewTaskPlan(TaskPlanPath path)
                                      throws ManagementException

  Throws:
    `ManagementException`

### readTaskPlanFromFile

    public static TaskPlan readTaskPlanFromFile(File hostAppRoot,
                                                File taskPlanFile)
                                         throws IOException,
                                                ParseException

  Throws:
    `IOException`
    `ParseException`

### readTaskPlanFromStream

    public static TaskPlan readTaskPlanFromStream(TaskPlanPath path,
                                                  InputStream stream)
                                           throws IOException,
                                                  ParseException

  Throws:
    `IOException`
    `ParseException`

### writeTaskPlanToFile

    public static void writeTaskPlanToFile(TaskPlan taskPlan,
                                           File taskPlanFile)
                                    throws IOException

  Throws:
    `IOException`

### createAssignee

    public static AssigneeDefinition createAssignee(String name,
                                                    AssigneeDefinition.Type type)
                                             throws ManagementException

  Create an instance of AssigneeDefinition for use in assign task

  Throws:
    `ManagementException`

### createPropertyRef

    public static PropertyRef createPropertyRef(String propertyName,
                                                String description,
                                                String defaultValue)
                                         throws ManagementException

  Create a new PropertyRef instance for setting action or constructor property references.

  Parameters:
    `propertyName` - The name of the property being referred to.
    `description` - An optional description of the use of this property in the context of the action or constructor. May be null.
    `defaultValue` - An optional default value to use for this property in the context of the action or constructor. This default value will be taken as the actual value of the property after the action or constructor completes (unless the user provides an actual value that differs from the default). May be null. If null, the properties default value (if unset) or actual value (if set) will be shown to the user, and then taken as the actual property value after the action or constructor completes.
  Throws:
    `ManagementException`

### createPropertyRef

    public static PropertyRef createPropertyRef(SystemProperty system,
                                                String description,
                                                String defaultValue)
                                         throws ManagementException

  Create a new PropertyRef instance for setting action or constructor property references.

  Parameters:
    `system` - The system property being referred to.
    `description` - An optional description of the use of this property in the context of the action or constructor. May be null.
    `defaultValue` - An optional default value to use for this property in the context of the action or constructor. This default value will be taken as the actual value of the property after the action or constructor completes (unless the user provides an actual value that differs from the default). May be null. If null, the properties default value (if unset) or actual value (if set) will be shown to the user, and then taken as the actual property value after the action or constructor completes.
  Throws:
    `ManagementException`

### createAssignmentInstructions

    public static AssignmentInstructions createAssignmentInstructions()
                                                               throws ManagementException

  Throws:
    `ManagementException`

### createBusinessDateTime

    public static BusinessDateTime createBusinessDateTime()
                                                   throws ManagementException

  Throws:
    `ManagementException`

### createTaskOwnerDefinition

    public static TaskOwnerDefinition createTaskOwnerDefinition()
                                                         throws ManagementException

  Throws:
    `ManagementException`

### createInterval

    public static Interval createInterval(String intervalSpec)
                                   throws ManagementException

  Create a new Interval instance for setting task or step time estimates.

  Parameters:
    `intervalSpec` - is a string describing the interval in the format described in the Interval interface.
  Throws:
    `ManagementException`
  See Also:
    `Interval`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD